package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
@TableName("xy_base_user_photo_folder")
public class BaseUserPhotoFolder extends BaseUser{

    /**
     * id
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long baseUserId;

    /**
     * 图片ossid
     */
    private Long photoOssId;

    /**
     * 用户工作流Id
     */
    private Long workflowId;

    /**
     * 图片分类
     */
    private Long type;

    /**
     * 图片描述
     */
    private String description;

    /**
     * 模板json
     */
    private String workflowJson;

    /**
     * 生成图片的prompt
     */
    private String promptJson;

    /**
     * 是否生成；0:未启动;1:生成中;2:生成失败;3:生成成功
     */
    private int isGenerate;

    /**
     * comfyui生成的任务id
     */
    private String promptId;

    /**
     * 上传图片的url
     */
    private String uploadPicUrl;

    /**
     * 生成图模板类型,图片处理1-9，SD：10000-10001
     */
    private int picType;

    /**
     * 生成时间
     */
    private Date generateTime;

}
