package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.ComfyuiModel;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * comfyui模型视图对象 xy_comfyui_model
 *
 * @author wyz
 * @date 2024-08-08
 */
@Data
@AutoMapper(target = ComfyuiModel.class)
public class ComfyuiModelVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private Integer id;

    /**
     * 工作流类型
     */
    private Integer picType;

    /**
     * 工作流模型描述
     */
    private String picDesc;

    /**
     * 模型名称
     */
    private String modelName;

    /**
     * 模型存放地址
     */
    private String modelDir;

    /**
     * 备注
     */
    private String remark;

}
