package com.xyzc.start.domain.vo;

import lombok.Data;

/**
 * DrawGraphicsSquareVo
 *
 * @author 杨兴卓
 */
@Data
public class DrawGraphicsSquareVo {

    /**
     * 图像id
     */
    private Long graphicsId;

    /**
     * 图像地址
     */
    private String ossUrl;

    /**
     * 图像宽度
     */
    private Integer width;

    /**
     * 图像高度
     */
    private Integer height;

    /**
     * 图像标题
     */
    private String title;

    /**
     * 使用人数
     */
    private Integer useCount;

    /**
     * 该用户是否收藏了
     */
    private Integer isCollect;

    /**
     * 绘画模型名称
     */
    private String modelName;
}
