package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.Industry;
import io.github.linpeilie.annotations.AutoMapper;
import io.github.linpeilie.annotations.AutoMapping;
import lombok.Data;

import java.util.List;

/**
 * 行业信息
 */

@Data
@AutoMapper(target = Industry.class)
public class IndustryVo {

    /**
     * 行业ID
     */
    @AutoMapping(target = "id")
    private Long industryId;

    /**
     * 行业名称
     */
    @AutoMapping(target = "industryName")
    private String name;

    /**
     * 行业排序，默认升序
     */
    private Integer sort;

    /**
     * 职业表
     */
    private List<CareerVo> careerList;

}
